List Payouts
curl --request GET \
--url https://api.agentpowers.ai/v1/sellers/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"payout_id": "<string>",
"amount_cents": 123,
"currency": "<string>",
"status": "<string>",
"period_start": "<string>",
"period_end": "<string>",
"paid_at": "<string>"
}
]sellers
List Payouts
List payout history for the current seller via Stripe Connect.
GET
/
v1
/
sellers
/
payouts
List Payouts
curl --request GET \
--url https://api.agentpowers.ai/v1/sellers/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"payout_id": "<string>",
"amount_cents": 123,
"currency": "<string>",
"status": "<string>",
"period_start": "<string>",
"period_end": "<string>",
"paid_at": "<string>"
}
]Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Was this page helpful?